    001    /* ========================================================================
    002     * JCommon : a free general purpose class library for the Java(tm) platform
    003     * ========================================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jcommon/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ------------------
    028     * DateUtilities.java
    029     * ------------------
    030     * (C) Copyright 2002, 2003, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: DateUtilities.java,v 1.3 2005/10/18 13:15:08 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 11-Oct-2002 : Version 1 (DG);
    040     * 03-Apr-2003 : Added clear() method call (DG)
    041     *
    042     */
    043
    044    package org.jfree.date;
    045
    046    import java.util.Calendar;
    047    import java.util.Date;
    048
    049    /**
    050     * Some useful date methods.
    051     *
    052     * @author David Gilbert.
    053     */
    054    public class DateUtilities {
    055
    056        /**
    057         * Private constructor to prevent object creation.
    058         */
    059        private DateUtilities() {
    060        }
    061
    062        /** A working calendar. */
    063        private static final Calendar CALENDAR = Calendar.getInstance();
    064
    065        /**
    066         * Creates a date.
    067         *
    068         * @param yyyy  the year.
    069         * @param month  the month (1 - 12).
    070         * @param day  the day.
    071         *
    072         * @return a date.
    073         */
    074        public static synchronized Date createDate(final int yyyy, final int month, final int day) {
    075            CALENDAR.clear();
    076            CALENDAR.set(yyyy, month - 1, day);
    077            return CALENDAR.getTime();
    078        }
    079
    080        /**
    081         * Creates a date.
    082         *
    083         * @param yyyy  the year.
    084         * @param month  the month (1 - 12).
    085         * @param day  the day.
    086         * @param hour  the hour.
    087         * @param min  the minute.
    088         *
    089         * @return a date.
    090         */
    091        public static synchronized Date createDate(final int yyyy, final int month, final int day, final int hour, final int min) {
    092
    093            CALENDAR.clear();
    094            CALENDAR.set(yyyy, month - 1, day, hour, min);
    095            return CALENDAR.getTime();
    096
    097        }
    098
    099
    100    }